v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/sites/{siteId}/shipments/{shipmentId}/received/eligible-kits
Retrieves all kits eligible to be received against a shipment. Rights: OrsSupplyManagerGet and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
siteId(required): string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentRecvEligibleKitsResponse
Type:
objectTitle:
ShipmentRecvEligibleKitsResponseResponse object containing eligible kits of a received shipment.
Show Source
-
kits: array
kits
-
shipmentId: string
(uuid)
ID of the shipment.
Nested Schema : kits
Type:
Show Source
array-
Array of:
object ShipmentEligibleKitTO v1.0
Title:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Nested Schema : ShipmentEligibleKitTO v1.0
Type:
objectTitle:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Show Source
-
expirationDate: string
(date-time)
Expiration date.Example:
2025-05-09T00:00:00Z -
id: string
(uuid)
Inventory ID.
-
kitNumber: number
(double)
Kit/Lot number.Example:
5 -
kitTypeName: string
Kit type name.Example:
Kit A -
sequenceNumber: number
(double)
Sequence number.Example:
5
Example:
{
"kitId":"B1B8327AFAA6412287106192AB5984EF",
"kitNumber":"KIT-000123"
}Examples
400 Response
Invalid shipment type
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples